%define majver %(echo %version | cut -d. -f 1-3)
%define extraver -%(echo %version | cut -d. -f4)
%define pckdocdir %{_datadir}/doc/iproute-%{version}

Name:          iproute
Version:       5.16.0
Release:       1mamba
Summary:       Advanced routing tools including ipv6 routing
Group:         Network/Routing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.linuxfoundation.org/networking/iproute2
Source0:       http://kernel.org/pub/linux/utils/net/iproute2/iproute2-%{version}.tar.xz
Source1:       iproute2-tc.initscript
Source2:       iproute2-traffic_control-sysconfig
Patch1:        %{name}-2.6.20-makefile.patch
Patch2:        %{name}-2.6.16-ip_resolve_crash.patch
Patch3:        %{name}-2.6.20-tc_pfifo_man.patch
Patch4:        %{name}-2.6.29-if_tunnel.patch
Patch5:        %{name}-2.6.29-cross_fix.patch
Patch6:        iproute-3.8.0-gcc-4.8.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: iptables-devel
BuildRequires: libatm-devel
BuildRequires: libbsd-devel
BuildRequires: libcap-devel
BuildRequires: libdb53-devel
BuildRequires: libelf-devel
BuildRequires: libmnl-devel
BuildRequires: libselinux-devel
## AUTOBUILDREQ-END
%if "%{stage1}" != "1"
BuildRequires: tetex-latex
BuildRequires: tetex-dvips
BuildRequires: linuxdoc-tools
BuildRequires: linuxdoc-tools-latex
%endif
BuildRequires: iptables >= 1.6.2
BuildRequires: bison
BuildRequires: flex
Provides:      iproute2 = %{?epoch:%epoch:}%{version}-%{release}

%description
Iproute2 is a collection of utilities for controlling TCP / IP networking and Traffic Control in Linux.

%package doc
Summary:       Documentation for iproute2
Group:         Documentation

%description doc
Iproute2 is a collection of utilities for controlling TCP / IP networking and Traffic Control in Linux.
This package contain the iproute2 documentation in dvi and html formats.

%debug_package

%prep
%setup -q -n iproute2-%{version}%{?extraver!="-"}
%patch5 -p1

%build
%make \
   CC=%{_host}-gcc \
   SBINDIR=%{_sbindir} \
   MANDIR=%{_mandir} \
   DOCDIR=%{pckdocdir} \
%if "%{_host}" != "%{_build}"
   LIBDIR=%{_prefix}/%{_host}/
%else
   LIBDIR=%{_libdir}
%endif

#%if "%{stage1}" != "1"
#% make -C doc dvi html
#%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   SBINDIR=%{_sbindir} \
   MANDIR=%{_mandir} \
   DOCDIR=%{pckdocdir} \
   LIBDIR=%{_libdir}

#install -D -m 0755 %{S:1} \
#   %{buildroot}%{_initrddir}/tc
#install -D -m 0644 %{S:2} \
#   %{buildroot}%{_sysconfdir}/sysconfig/traffic_control

# remove unpackaged files
rm -f %{buildroot}%{pckdocdir}/*.tex
rm -f %{buildroot}%{pckdocdir}/*.sgml

install -d -m0755 %{buildroot}%{_bindir}
ln -s ../sbin/ip %{buildroot}%{_bindir}/ip

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
#%config(noreplace) %{_sysconfdir}/sysconfig/traffic_control
%dir %{_sysconfdir}/iproute2
%config %{_sysconfdir}/iproute2/*
%{_bindir}/ip
%{_sbindir}/*
%dir %{_libdir}/tc
%{_libdir}/tc/m_ipt.so
%{_libdir}/tc/m_xt.so
%{_libdir}/tc/q_atm.so
%{_libdir}/tc/experimental.dist
%{_libdir}/tc/normal.dist
%{_libdir}/tc/pareto.dist
%{_libdir}/tc/paretonormal.dist
#%{_libdir}/tc/q_atm.so
%{_includedir}/iproute2/bpf_elf.h
%{_datadir}/bash-completion/completions/*
%{_mandir}/man3/libnetlink.*
%{_mandir}/man7/tc-hfsc.7*
%{_mandir}/man8/*
%doc COPYING

#%if "%{stage1}" != "1"
#%files doc
#%defattr(-,root,root)
#%doc doc/*.dvi
#%doc doc/*.html
#%doc README
#%doc examples/
#%endif

%changelog
* Tue Jan 11 2022 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Thu Nov 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.0-2mamba
- added ip symlink in /usr/bin

* Thu Nov 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.0-1mamba
- update to 5.15.0

* Wed Sep 01 2021 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Wed Jun 30 2021 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Wed Apr 28 2021 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Tue Mar 02 2021 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Fri Jul 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.7.0-1mamba
- update to 5.7.0

* Tue May 19 2020 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic update by autodist

* Fri Feb 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.15.0-1mamba
- update to 4.15.0

* Fri Feb 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-3mamba
- rebuilt with iptables 1.6.2

* Tue Feb 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-2mamba
- rebuilt with iptables 1.6.0

* Fri May 01 2015 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic update by autodist

* Mon Dec 16 2013 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic update by autodist

* Sat Sep 07 2013 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic update by autodist

* Thu Aug 22 2013 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic update by autodist

* Fri Jun 07 2013 Automatic Build System <autodist@mambasoft.it> 3.9.0-1mamba
- automatic version update by autodist

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-2mamba
- rebuilt with iptables 1.4.8

* Sat Mar 02 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Mon Dec 31 2012 Automatic Build System <autodist@mambasoft.it> 3.7.0-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.0-1mamba
- update to 3.6.0

* Tue Aug 14 2012 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Sat Apr 28 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.0-1mamba
- update to 3.3.0

* Sun Oct 11 2009 Automatic Build System <autodist@mambasoft.it> 2.6.29-1mamba
- automatic update to 2.6.29 by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 2.6.28-1mamba
- update to 2.6.28

* Fri Mar 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26-2mamba
- initscript: use echo in place of gprintf

* Tue Dec 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26-1mamba
- update to 2.6.26

* Wed Jun 13 2007 Aleph0 <aleph0@openmamba.org> 2.6.20-2mamba
- add missing %defattr to doc subpackage
- fixed packager email address

* Fri Mar 30 2007 Davide Madrisan <davide.madrisan@gmail.com> 2.6.20-1mamba
- update to version 2.6.20 by autospec
- build binaries using the optflags gcc flags
- build the documentation provided by the package
- created a subpackage with the documentation in dvi and html formats
- ifcfg, tc, and rtmon moved to /sbin
- added missing build requirements

* Wed Mar 01 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.15-1qilnx
- update to version 2.6.15 by autospec

* Sat Sep 03 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.11-1qilnx
- update to version 2.6.11 by autospec
- ip: moved to /sbin dir

* Fri Jul 30 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.8-1qilnx
- new version build taken from Stephen Hemminger repository
- added man installation

* Thu Apr 29 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.7-3qilnx
- initscripts added

* Tue Feb 17 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.4.7-2qilnx
- security errata for netlink (CAN-2003-0856): iproute2-2.4.7-netlink.patch

* Mon Dec 15 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.7-1qilnx
- first build
